#    One Room And A Goblin Invasion
#    Copyright (C) 2014  Jannik Haberbosch
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.

import random

import pygame
pygame.init()


class ExplosionParticle( pygame.sprite.Sprite ):
	def __init__( self, position_center ):
		pygame.sprite.Sprite.__init__( self )

		self.image = pygame.Surface( ( 1, 1 ) )
		self.image.fill( pygame.Color( 120, 0, 100 ) )
		self.rect = self.image.get_rect( center = position_center )

		self.position_center = position_center
		self.alpha = 255


	def update( self ):
		if self.alpha <= 0:
			self.kill()
		else:
			self.alpha -= 20
			self.image.set_alpha( self.alpha )
			self.rect.move_ip(
				random.randint( -1, 1 ),
				random.randint( -1, 1 )
			)
