#    One Room And A Goblin Invasion
#    Copyright (C) 2014  Jannik Haberbosch
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.


import pygame
pygame.init()

from code.CollisionLine import CollisionLine

# Representing rectangular-shaped objects.
RECT_KITCHEN_1 = pygame.Rect(
	31,
	25,
	250,
	74
)

RECT_KITCHEN_2 = pygame.Rect(
	31,
	25,
	76,
	510
)

RECT_CUPBOARD_1 = pygame.Rect(
	307,
	27,
 	133,
	71
)

RECT_CUPBOARD_2 = pygame.Rect(
	455,
	53,
	73,
	46
)

RECT_BATHTUB = pygame.Rect(
	698,
	38,
	173,
	89
)

RECT_CUPBOARD_BATH = pygame.Rect(
	863,
	145,
	41,
	59
)

RECT_GARBAGE_BINS = pygame.Rect(
	30,
	540,
	75,
	33
)

RECT_PLANT1 = pygame.Rect(
	172,
	461,
	34,
	31
)
RECT_PLANT2 = pygame.Rect(
	205,
	435,
	28,
	42
)

RECT_CHAIR1 = pygame.Rect(
	240,
	389,
	38,
	41
)

RECT_TABLE = pygame.Rect(
	294,
	255,
	122,
	144
)

RECT_CHAIR2 = pygame.Rect(
	427,
	307,
	35,
	37
)

RECT_DESK1 = pygame.Rect(
	125,
	699,
	69,
	60
)

RECT_DESK2 = pygame.Rect(
	206,
	688,
	148,
	71
)

RECT_PLANT3 = pygame.Rect(
	371,
	566,
	30,
	38
)

RECT_PLANT4 = pygame.Rect(
	792,
	249,
	33,
	38
)

RECT_WINDOWSILL = pygame.Rect(
	364,
	733,
	141,
	24
)
RECT_WALL1 = pygame.Rect(
	26,
	21,
	881,
	0
)
RECT_WALL2 = pygame.Rect(
	4,
	557,
	26,
	21
)
RECT_WALL3 = pygame.Rect(
	95,
	699,	
	109,
	764
)
RECT_WALL4 = pygame.Rect(
	109,
	763,
	525,
	767
)
RECT_WALL5 = pygame.Rect(
	743,
	611,
	758,
	578
)
RECT_WALL6 = pygame.Rect(
	914,
	129,
	941,
	344
)
RECT_WALL7 = pygame.Rect(
	878,
	21,
	915,
	129
)
RECT_WALL8 = pygame.Rect(
	742,
	579,
	756,
	611
)

COLLISION_RECTANGLES = [
	RECT_KITCHEN_1,
	RECT_KITCHEN_2,
	RECT_CUPBOARD_1,
	RECT_CUPBOARD_2,
	RECT_BATHTUB,
	RECT_CUPBOARD_BATH,
	RECT_GARBAGE_BINS,
	RECT_PLANT1,
	RECT_PLANT2,
	RECT_CHAIR1,
	RECT_TABLE,
	RECT_CHAIR2,
	RECT_DESK1,
	RECT_DESK2,
	RECT_PLANT3,
	RECT_PLANT4,
	RECT_WINDOWSILL,
	RECT_WALL1,
	RECT_WALL2,
	RECT_WALL3,
	RECT_WALL4,
	RECT_WALL5,
	RECT_WALL6,
	RECT_WALL7,
	RECT_WALL8
]


# These are the collision lines.
COLLISION_LINES = [
	CollisionLine(
		389,
		553,		
		553,
		441
	),
	CollisionLine(
		330,
		493,			
		355,
		524
	),
	CollisionLine(
		332,
		494,
		360,
		473
	),
	CollisionLine(
		360,
		472,
		381,
		502
	),
	CollisionLine(
		353,
		523,
		381,
		502
	),
	CollisionLine(
		388,
		551,
		423,
		602
	),
	CollisionLine(
		424,
		602,
		587,
		492
	),
	CollisionLine(
		552,
		441,
		587,
		492
	),
	CollisionLine(
		633,
		492,
		668,
		509
	),
	CollisionLine(
		633,
		492,
		651,
		458
	),
	CollisionLine(
		651,
		458,
		685,
		476
	),
	CollisionLine(
		667,
		508,			
		685,
		476
	),
	CollisionLine(
		550,
		358,
		567,
		322
	),
	CollisionLine(
		567,
		322,
		603,
		337
	),				
	CollisionLine(
		603,
		337,
		587,
		374
	),				
	CollisionLine(
		550,
		358,
		587,
		374
	),				
	CollisionLine(
		568,
		320,
		603,
		232
	),				
	CollisionLine(
		603,
		232,
		776,
		303
		),				
	CollisionLine(
		741,
		389,			
		776,
		303
	),				
	CollisionLine(
		569,
		320,
		741,
		389				
		),				
	CollisionLine(
		838,
		309,
		908,
		323
	),				
	CollisionLine(
		881,
		450,			
		908,
		323
	),				
	CollisionLine(
		812,
		437,			
		881,
		450
	),
	CollisionLine(
		812,
		438,
		837,
		308
	),
	CollisionLine(
		718,
		532,
		740,
		563
	),				
	CollisionLine(
		686,
		603,
		740,
		563				
	),				
	CollisionLine(
		662,
		571,			
		686,
		603
	),				
	CollisionLine(
		662,
		571,
		717,
		531
	),				
	CollisionLine(
		657,
		576,
		692,
		624
	),				
	CollisionLine(
		574,
		712,
		692,
		624		
	),				
	CollisionLine(
		537,
		663,
		574,
		712				
	),				
	CollisionLine(
		537,
		663,
		656,
		576
	),				
	CollisionLine(
		524,
		658,
		567,
		715
	),				
	CollisionLine(
		531,
		743,			
		567,
		715
	),				
	CollisionLine(
		486,
		685,			
		531,
		743
	),				
	CollisionLine(
		486,
		685,
		523,
		656
	),
	CollisionLine(
		889,
		454,
		913,
		343				
	),
	CollisionLine(
		742,
		580,			
		889,
		454
	),
	CollisionLine(
		525,
		765,			
		742,
		611
	),
	CollisionLine(
		36,
		576,			
		108,
		699
	),
	CollisionLine(
		858,
		210,
		906,
		243
	),
	CollisionLine(
		860,
		289,
		906,
		243
	),
	CollisionLine(
		826,
		249,
		861,
		286
	),
	CollisionLine(
		827,
		250,
		858,
		210
	)
]
