#    One Room And A Goblin Invasion
#    Copyright (C) 2014  Jannik Haberbosch
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.


# Each door has an image.
IMAGE_DOOR = "door1.png"

# There are three doors in the game:

# Door 1 is located in the bottom-left.
DOOR1_DATA = {
	"imagefile": IMAGE_DOOR,
	"center_position": ( 56, 609 ),
	"closed_door_angle": 300,
	"open_door_angle": 390,
	"door_degree_speed": 2
}

# The other side of the door needs to be hidden if it is closed so it looks
# "shut".
DOOR1_HIDING_DATA = {
	"dimensions": (
		100,
		100
	),
	"lefttop_position": (
		-30,
		612
	),
	"angle": 30
}


# Door 2 is located in the top-right.
DOOR2_DATA = {
	"imagefile": IMAGE_DOOR,
	"center_position": (
		658,
		22
	),
	"closed_door_angle": 180,
	"open_door_angle": 270,
	"door_degree_speed": 2
}

# Also, part of this door needs to be hidden if it is closed to make it look
# like it really is closed.
DOOR2_HIDING_DATA = {
	"dimensions": (
		100,
		100
	),
	"lefttop_position": (
		560,
		-79
	),
	"angle": 90
}


# And lastly, the data for the third door.
DOOR3_DATA = {
	"imagefile": IMAGE_DOOR,
	"center_position": (
		765,
		557
	),
	"closed_door_angle": 40,
	"open_door_angle": 130,
	"door_degree_speed": 2
}

DOOR3_HIDING_DATA = {
	"dimensions": (
		100,
		100
	),
	"lefttop_position": (
		764,
		496
	),
	"angle": 310
}

BOTTOM_RIGHT_PIXEL = (
	1023,
	767
)
